# Gnome::GdaUI::RawForm Class Reference

RawForm - Form widget to manipulate data in a Gnome::Gda::DataModel, with decorations. More...

Inherits Gnome::GdaUI::BasicForm.

Collaboration diagram for Gnome::GdaUI::RawForm:
[legend]

List of all members.

## Public Member Functions

virtual | ~RawForm ()
GdauiRawForm* | gobj ()
| Provides access to the underlying C GtkObject.
const GdauiRawForm* | gobj () const
| Provides access to the underlying C GtkObject.
| RawForm (const Glib::RefPtr< Gnome::Gda::DataModel >& model)
| Creates a new Gdaui::RawForm widget to display data in model.
Glib::PropertyProxy < Glib::RefPtr < Gnome::Gda::DataModel > > | property_model ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr < Gnome::Gda::DataModel > > | property_model () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.

## Related Functions

(Note that these are not member functions.)
Gnome::GdaUI::RawForm* | wrap (GdauiRawForm* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

RawForm - Form widget to manipulate data in a Gnome::Gda::DataModel, with decorations.

## Constructor & Destructor Documentation

virtual Gnome::GdaUI::RawForm::~RawForm | ( |  | ) | `[virtual]`

Gnome::GdaUI::RawForm::RawForm | ( | const Glib::RefPtr< Gnome::Gda::DataModel > & | model | ) | `[explicit]`

Creates a new Gdaui::RawForm widget to display data in model.

Parameters:

  | model | A Gda::DataModel, or `0`.

Returns:
  The new widget

Since libgda-uimm 4.2:

## Member Function Documentation

const GdauiRawForm* Gnome::GdaUI::RawForm::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gnome::GdaUI::BasicForm.

GdauiRawForm* Gnome::GdaUI::RawForm::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gnome::GdaUI::BasicForm.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gnome::Gda::DataModel> > Gnome::GdaUI::RawForm::property_model | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gnome::Gda::DataModel> > Gnome::GdaUI::RawForm::property_model | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Gnome::GdaUI::RawForm* wrap | ( | GdauiRawForm * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgda-uimm/rawform.h